USN-6744-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6744-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6744-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6744-1
Related
  • CVE-2024-28219
Published
2024-04-22T09:25:43.776975Z
Modified
2024-04-22T09:25:43.776975Z
Summary
pillow vulnerability
Details

Hugo van Kemenade discovered that Pillow was not properly performing bounds checks when processing an ICC file, which could lead to a buffer overflow. If a user or automated system were tricked into processing a specially crafted ICC file, an attacker could possibly use this issue to cause a denial of service or execute arbitrary code.

References

Affected packages

Ubuntu:Pro:18.04:LTS / pillow

Package

Name
pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.1.0-1ubuntu0.8+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python3-pil.imagetk": "5.1.0-1ubuntu0.8+esm1",
            "python-pil-doc": "5.1.0-1ubuntu0.8+esm1",
            "python-pil.imagetk": "5.1.0-1ubuntu0.8+esm1",
            "python3-pil": "5.1.0-1ubuntu0.8+esm1",
            "python-pil": "5.1.0-1ubuntu0.8+esm1"
        }
    ]
}

Ubuntu:20.04:LTS / pillow

Package

Name
pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
7.0.0-4ubuntu0.9

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-pil.imagetk": "7.0.0-4ubuntu0.9",
            "python-pil-doc": "7.0.0-4ubuntu0.9",
            "python3-pil": "7.0.0-4ubuntu0.9"
        }
    ]
}

Ubuntu:22.04:LTS / pillow

Package

Name
pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
9.0.1-1ubuntu0.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-pil.imagetk": "9.0.1-1ubuntu0.3",
            "python-pil-doc": "9.0.1-1ubuntu0.3",
            "python3-pil": "9.0.1-1ubuntu0.3"
        }
    ]
}

Ubuntu:23.10 / pillow

Package

Name
pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
10.0.0-1ubuntu0.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-pil.imagetk": "10.0.0-1ubuntu0.2",
            "python-pil-doc": "10.0.0-1ubuntu0.2",
            "python3-pil": "10.0.0-1ubuntu0.2"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / pillow

Package

Name
pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.3.0-1ubuntu3.4+esm4

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-imaging-tk": "2.3.0-1ubuntu3.4+esm4",
            "python3-pil.imagetk": "2.3.0-1ubuntu3.4+esm4",
            "python3-imaging-tk": "2.3.0-1ubuntu3.4+esm4",
            "python-imaging-doc": "2.3.0-1ubuntu3.4+esm4",
            "python-imaging-compat": "2.3.0-1ubuntu3.4+esm4",
            "python-sane": "2.3.0-1ubuntu3.4+esm4",
            "python3-imaging": "2.3.0-1ubuntu3.4+esm4",
            "python3-pil": "2.3.0-1ubuntu3.4+esm4",
            "python-pil": "2.3.0-1ubuntu3.4+esm4",
            "python-pil-doc": "2.3.0-1ubuntu3.4+esm4",
            "python3-sane": "2.3.0-1ubuntu3.4+esm4",
            "python-imaging-sane": "2.3.0-1ubuntu3.4+esm4",
            "python-pil.imagetk": "2.3.0-1ubuntu3.4+esm4",
            "python3-imaging-sane": "2.3.0-1ubuntu3.4+esm4",
            "python-imaging": "2.3.0-1ubuntu3.4+esm4"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / pillow

Package

Name
pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.1.2-0ubuntu1.6+esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python3-pil.imagetk": "3.1.2-0ubuntu1.6+esm2",
            "python-pil-doc": "3.1.2-0ubuntu1.6+esm2",
            "python-pil.imagetk": "3.1.2-0ubuntu1.6+esm2",
            "python3-pil": "3.1.2-0ubuntu1.6+esm2",
            "python-imaging": "3.1.2-0ubuntu1.6+esm2",
            "python-pil": "3.1.2-0ubuntu1.6+esm2"
        }
    ]
}